curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/teams \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "Support Team",
"description": "This is a team of support agents",
"allow_auto_assign": true
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Support Team',
description: 'This is a team of support agents',
allow_auto_assign: true
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/teams"
payload = {
"name": "Support Team",
"description": "This is a team of support agents",
"allow_auto_assign": True
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"allow_auto_assign": true,
"account_id": 123,
"is_member": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Create a team
Create a team in the account
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/teams \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "Support Team",
"description": "This is a team of support agents",
"allow_auto_assign": true
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Support Team',
description: 'This is a team of support agents',
allow_auto_assign: true
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/teams"
payload = {
"name": "Support Team",
"description": "This is a team of support agents",
"allow_auto_assign": True
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"allow_auto_assign": true,
"account_id": 123,
"is_member": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
Body
The name of the team
"Support Team"
The description of the team
"This is a team of support agents"
If this setting is turned on, the system would automatically assign the conversation to an agent in the team while assigning the conversation to a team
true
Response
Success
The ID of the team
The name of the team
The description about the team
If this setting is turned on, the system would automatically assign the conversation to an agent in the team while assigning the conversation to a team
The ID of the account with the team is a part of
This field shows whether the current user is a part of the team